ratio File Reference
Utilities » Rational Arithmetic

Go to the source code of this file.

## Classes

struct | std::ratio< _Num, _Den >
struct | std::ratio_equal< _R1, _R2 >
struct | std::ratio_greater< _R1, _R2 >
struct | std::ratio_greater_equal< _R1, _R2 >
struct | std::ratio_less< _R1, _R2 >
struct | std::ratio_less_equal< _R1, _R2 >
struct | std::ratio_not_equal< _R1, _R2 >

## Namespaces

namespace | std

## Macros

#define | __glibcxx_want_ratio
#define | _GLIBCXX_RATIO

## Typedefs

using | std::atto
using | std::centi
using | std::deca
using | std::deci
using | std::exa
using | std::femto
using | std::giga
using | std::hecto
using | std::kilo
using | std::mega
using | std::micro
using | std::milli
using | std::nano
using | std::peta
using | std::pico
template<typename _R1, typename _R2>
using | std::ratio_add
template<typename _R1, typename _R2>
using | std::ratio_divide
template<typename _R1, typename _R2>
using | std::ratio_multiply
template<typename _R1, typename _R2>
using | std::ratio_subtract
using | std::tera

## Variables

template<typename _R1, typename _R2>
constexpr bool | std::ratio_equal_v
template<typename _R1, typename _R2>
constexpr bool | std::ratio_greater_equal_v
template<typename _R1, typename _R2>
constexpr bool | std::ratio_greater_v
template<typename _R1, typename _R2>
constexpr bool | std::ratio_less_equal_v
template<typename _R1, typename _R2>
constexpr bool | std::ratio_less_v
template<typename _R1, typename _R2>
constexpr bool | std::ratio_not_equal_v

## Detailed Description

This is a Standard C++ Library header.

Definition in file ratio.

## Macro Definition Documentation

## __glibcxx_want_ratio

#define __glibcxx_want_ratio

Definition at line 44 of file ratio.

## _GLIBCXX_RATIO

#define _GLIBCXX_RATIO

Definition at line 31 of file ratio.